Page MenuHomePhabricator

ContentTranslation adapts categories with ':' in their names incorrectly
Closed, ResolvedPublic1 Story Points

Description

Categories with ':' in their names are adapted incorrectly: only what appears after the last ':' is added to the article.

For example, if translating [[Gavin Verhey]] from English to Spanish instead of "Magic: el encuentro" it adapts only "el encuentro".

Event Timeline

Amire80 created this task.Jul 23 2015, 5:13 AM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to Normal.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2015, 5:13 AM

Change 226481 had a related patch set uploaded (by Amire80):
Strip only the Category namespace when adapting categories

https://gerrit.wikimedia.org/r/226481

Change 226481 merged by jenkins-bot:
Strip only the Category namespace when adapting categories

https://gerrit.wikimedia.org/r/226481

Amire80 claimed this task.Jul 23 2015, 2:42 PM
Amire80 edited projects, added LE-CX6-Sprint 1; removed Patch-For-Review.
Amire80 set Security to None.
Amire80 moved this task from Backlog to Done on the LE-CX6-Sprint 1 board.
Amire80 closed this task as Resolved.
Amire80 added a project: Unplanned-Sprint-Work.
Amire80 edited a custom field.Jul 27 2015, 4:20 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 30 2015, 5:17 PM